<template>
  <b-icon icon="heart"
          class="clickable"
          @click.native="pin"
          :type="pinned ? 'is-danger' : ''" />
</template>

<script lang="ts">
import { Component, Vue, Prop, PropSync } from 'vue-property-decorator';

@Component
export default class GamePin extends Vue {
  @Prop(Number) readonly id: number;
  @PropSync('pinned') syncPinned: any;

  async pin() {
    await this.$http.post('favourites/toggle', {
      id: this.id,
    });
    this.syncPinned = !this.syncPinned;
  }
}
</script>
